org.apache.cassandra.utils

## Class CounterId.CounterIdRecord

- java.lang.Object
- - org.apache.cassandra.utils.CounterId.CounterIdRecord

- Enclosing class:
    CounterId

      public static class CounterId.CounterIdRecord
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `CounterId` | `id`
    `long` | `timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CounterId.CounterIdRecord(CounterId id, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          public final CounterId id

    - #### timestamp

          public final long timestamp

  - ### Constructor Detail

    - #### CounterId.CounterIdRecord

          public CounterId.CounterIdRecord(CounterId id,
                                   long timestamp)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation